[arch-commits] Commit in python-matplotlib/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Jul 17 20:48:57 UTC 2020


    Date: Friday, July 17, 2020 @ 20:48:57
  Author: felixonmars
Revision: 664367

archrelease: copy trunk to community-x86_64

Added:
  python-matplotlib/repos/community-x86_64/PKGBUILD
    (from rev 664366, python-matplotlib/trunk/PKGBUILD)
Deleted:
  python-matplotlib/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  116 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 58 insertions(+), 58 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-17 20:48:45 UTC (rev 664366)
+++ PKGBUILD	2020-07-17 20:48:57 UTC (rev 664367)
@@ -1,58 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
-# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
-# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
-
-pkgname=python-matplotlib
-pkgver=3.2.2
-pkgrel=1
-pkgdesc="A python plotting library, making publication quality plots"
-arch=(x86_64)
-url="https://matplotlib.org"
-license=(custom)
-depends=(freetype2 libpng python-numpy python-cycler python-dateutil python-kiwisolver python-pyparsing)
-optdepends=('tk: Tk{Agg,Cairo} backends'
-            'python-pyqt5: Qt5{Agg,Cairo} backends'
-            'python-gobject: for GTK3{Agg,Cairo} backend'
-            'python-wxpython: WX{,Agg,Cairo} backend'
-            'python-cairo: {GTK3,Qt5,Tk,WX}Cairo backends'
-            'python-cairocffi: alternative for Cairo backends'
-            'python-tornado: WebAgg backend'
-            'ffmpeg: for saving movies'
-            'imagemagick: for saving animated gifs'
-            'python-pillow: for reading/saving jpeg/bmp/tiff files'
-            'ghostscript: usetex dependencies'
-            'texlive-bin: usetex dependencies'
-            'texlive-latexextra: usetex usage with pdflatex')
-makedepends=(git rsync python-setuptools
-             tk python-pyqt5 python-gobject
-             python-wxpython python-cairocffi python-tornado
-             python-pillow ghostscript texlive-bin)
-             # qhull missing pkg-config file
-             # agg missing some non-upstreamed patches?
-checkdepends=(python-pytest-xdist python-pytest-runner xorg-server-xvfb
-              texlive-core texlive-latexextra inkscape mencoder
-              ffmpeg imagemagick python-pandas)
-source=("https://github.com/matplotlib/matplotlib/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz")
-sha512sums=('4c9312e929357a7c73ead51fa1a679c04b2b9735edfe0f1a2d08a07ec4d94d67df4ff6e8c6d594665a3b270cd3033c48ea8f2aa50fb1e2746812f24c27181f59')
-
-build() {
-  cd matplotlib-${pkgver}
-  python setup.py build
-}
-
-check() {
-  cd matplotlib-${pkgver}
-  xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
-    python setup.py pytest --addopts="-n auto" || warning "Tests failed" # Different font rendering details
-}
-
-package_python-matplotlib() {
-  cd matplotlib-${pkgver}
-  python setup.py install --root "${pkgdir}" --prefix=/usr --optimize=1 --skip-build
-  install -Dm644 doc/users/license.rst -t "${pkgdir}"/usr/share/licenses/${pkgname}/
-  # Needed since https://github.com/matplotlib/matplotlib/pull/14170
-  rm -r "${pkgdir}"/usr/lib/python3.8/site-packages/{matplotlib,mpl_toolkits}/tests/
-}

Copied: python-matplotlib/repos/community-x86_64/PKGBUILD (from rev 664366, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-17 20:48:57 UTC (rev 664367)
@@ -0,0 +1,58 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgname=python-matplotlib
+pkgver=3.3.0
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=(x86_64)
+url="https://matplotlib.org"
+license=(custom)
+depends=(freetype2 libpng python-numpy python-cycler python-dateutil python-kiwisolver python-pyparsing)
+optdepends=('tk: Tk{Agg,Cairo} backends'
+            'python-pyqt5: Qt5{Agg,Cairo} backends'
+            'python-gobject: for GTK3{Agg,Cairo} backend'
+            'python-wxpython: WX{,Agg,Cairo} backend'
+            'python-cairo: {GTK3,Qt5,Tk,WX}Cairo backends'
+            'python-cairocffi: alternative for Cairo backends'
+            'python-tornado: WebAgg backend'
+            'ffmpeg: for saving movies'
+            'imagemagick: for saving animated gifs'
+            'python-pillow: for reading/saving jpeg/bmp/tiff files'
+            'ghostscript: usetex dependencies'
+            'texlive-bin: usetex dependencies'
+            'texlive-latexextra: usetex usage with pdflatex')
+makedepends=(git rsync python-setuptools
+             tk python-pyqt5 python-gobject
+             python-wxpython python-cairocffi python-tornado
+             python-pillow ghostscript texlive-bin)
+             # qhull missing pkg-config file
+             # agg missing some non-upstreamed patches?
+checkdepends=(python-pytest-xdist python-pytest-runner xorg-server-xvfb
+              texlive-core texlive-latexextra inkscape mencoder
+              ffmpeg imagemagick python-pandas)
+source=("https://github.com/matplotlib/matplotlib/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('79555a175ef1e63da4f3d2457dc44dd825dbe4b5833696fa9ba57bfc654dc4df286ede4357ee276f19d674be1cb622e8718000a74c1f122cc13641f4d3ad0ada')
+
+build() {
+  cd matplotlib-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd matplotlib-${pkgver}
+  xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+    python setup.py pytest --addopts="-n auto" || warning "Tests failed" # Different font rendering details
+}
+
+package_python-matplotlib() {
+  cd matplotlib-${pkgver}
+  python setup.py install --root "${pkgdir}" --prefix=/usr --optimize=1 --skip-build
+  install -Dm644 doc/users/license.rst -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+  # Needed since https://github.com/matplotlib/matplotlib/pull/14170
+  rm -r "${pkgdir}"/usr/lib/python3.8/site-packages/{matplotlib,mpl_toolkits}/tests/
+}


More information about the arch-commits mailing list